<!-- Copyright 2018 The Chromium Authors. All rights reserved.
     Use of this source code is governed by a BSD-style license that can be
     found in the LICENSE file. -->

<link rel="import" href="chrome://resources/polymer/v1_0/iron-icon/iron-icon.html">
<link rel="import" href="chrome://resources/polymer/v1_0/iron-iconset-svg/iron-iconset-svg.html">
<link rel="import" href="chrome://resources/cr_elements/cr_lottie/cr_lottie.html">

<link rel="import" href="/components/common_styles.html">
<link rel="import" href="/components/hd_iron_icon.html">
<link rel="import" href="/components/oobe_dialog.html">
<link rel="import" href="/components/oobe_i18n_behavior.html">

<iron-iconset-svg name="marketing-opt-in-32" size="32">
    <svg>
        <defs>
          <g id="accessibility" fill-rule="evenodd">
            <path d="M16 2.667c1.467 0 2.667 1.184 2.667 2.633 0 1.448-1.2 2.632-2.667 2.632-1.467 0-2.667-1.184-2.667-2.632 0-1.45 1.2-2.633 2.667-2.633zm4 9.215v16.785h-3v-7.9h-2v7.9h-3V11.882H4V8.92h24v2.962h-8z"></path>
          </g>
        </defs>
      </svg>
</iron-iconset-svg>

<iron-iconset-svg name="marketing-opt-in-64" size="64">
    <svg>
        <defs>
          <g id="accessibility" fill-rule="evenodd">
            <path d="M32 5.333c2.933 0 5.333 2.415 5.333 5.367 0 2.95-2.4 5.366-5.333 5.366-2.933 0-5.333-2.415-5.333-5.366 0-2.952 2.4-5.367 5.333-5.367zM40 24v35h-5V43h-6v16.006h-5V24H8v-4.915h48V24H40z"></path>
          </g>
        </defs>
      </svg>
</iron-iconset-svg>

<dom-module id="marketing-opt-in-element">
  <template>
    <style include="oobe-dialog-host"></style>
    <link rel="stylesheet" href="marketing_opt_in.css">
    <oobe-dialog id="marketingOptInOverviewDialog" role="dialog" has-buttons
        hidden="[[isAccessibilitySettingsShown_]]"
        title-key="marketingOptInScreenTitle"
        aria-label$="[[i18nDynamic(locale, 'marketingOptInScreenTitle')]]"
        aria-describedby="marketing-opt-in-subtitle">
      <hd-iron-icon slot="oobe-icon" icon1x="oobe-32:checkmark"
          icon2x="oobe-32:checkmark">
      </hd-iron-icon>
      <div slot="subtitle" id="marketing-opt-in-subtitle">
        <div hidden="[[!marketingOptInVisible_]]">
          [[i18nDynamic(locale, 'marketingOptInScreenSubtitle')]]
        </div>
        <div hidden="[[marketingOptInVisible_]]">
          [[i18nDynamic(locale, 'marketingOptInScreenSubtitleWithDeviceName')]]
        </div>
      </div>
      <div slot="footer" class="layout vertical flex">
        <div class="marketing-option layout horizontal center"
            hidden="[[!marketingOptInVisible_]]"
            id="marketing-opt-in-toggle">
          <hd-iron-icon icon1x="oobe-32:chromebook" icon2x="oobe-64:chromebook">
          </hd-iron-icon>
          <div id="chromebookUpdatesOptionLabel" class="flex" aria-hidden="true">
            [[i18nDynamic(locale, 'marketingOptInGetChromebookUpdates')]]
          </div>
          <cr-toggle id="chromebookUpdatesOption" checked
              aria-labelledby="chromebookUpdatesOptionLabel">
          </cr-toggle>
        </div>
        <div id="animation" class="marketing-animation-container"
            hidden="[[hasLegalFooter_]]">
          <cr-lottie class="marketing-animation" animation-url="all_set.json">
          </cr-lottie>
        </div>
        <div id="legalFooter" hidden="[[!hasLegalFooter_]]" class="legal-info">
          <div>
            [[i18nDynamic(locale, 'marketingOptInScreenFooterNotice')]]
          </div>
          <div class="legal-info-address">
            Google LLC, 1600 Amphitheatre Parkway, Mountain View, CA 94043, USA
            <div>www.google.com</div>
          </div>
        </div>
      </div>
      <div slot="bottom-buttons" class="layout horizontal justified">
        <div>
          <oobe-welcome-secondary-button
              hidden="[[!isA11ySettingsButtonVisible_]]"
              id="marketing-opt-in-accessibility-button"
              on-click="onToggleAccessibilityPage_"
              icon1x="marketing-opt-in-32:accessibility"
              icon2x="marketing-opt-in-64:accessibility"
              text-key="marketingOptInA11yButtonLabel">
          </oobe-welcome-secondary-button>
        </div>
        <oobe-text-button on-click="onGetStarted_" class="focus-on-show"
            inverse text-key="marketingOptInScreenAllSet"
            id="marketing-opt-in-next-button">
        </oobe-text-button>
      </div>
    </oobe-dialog>

    <oobe-dialog id="finalAccessibilityPage" role="dialog" has-buttons
        hidden="[[!isAccessibilitySettingsShown_]]"
        title-key="finalA11yPageTitle"
        aria-label$="[[i18nDynamic(locale, 'finalA11yPageTitle')]]">
      <hd-iron-icon slot="oobe-icon"
          icon1x="marketing-opt-in-32:accessibility"
          icon2x="marketing-opt-in-64:accessibility">
      </hd-iron-icon>
      <div slot="footer" class="layout vertical">
        <oobe-a11y-option id="a11yNavButtonToggle"
            on-change="onA11yNavButtonsSettingChanged_">
          <span slot="title">
            [[i18nDynamic(locale, 'finalA11yPageNavButtonSettingTitle')]]
          </span>
          <span slot="checked-value">
            [[i18nDynamic(locale, 'finalA11yPageNavButtonSettingDescription')]]
          </span>
          <span slot="unchecked-value">
            [[i18nDynamic(locale, 'finalA11yPageNavButtonSettingDescription')]]
          </span>
        </oobe-a11y-option>
      </div>
      <div slot="back-navigation">
        <oobe-back-button on-click="onToggleAccessibilityPage_"
            id="final-accessibility-back-button"></oobe-back-button>
      </div>
      <div slot="bottom-buttons">
        <oobe-text-button on-click="onGetStarted_" class="focus-on-show"
            id="final-accessibility-next-button" inverse
            text-key="finalA11yPageDoneButtonTitle">
        </oobe-text-button>
      </div>
    </oobe-dialog>
  </template>
</dom-module>
